# Gimp.Procedure.run_config

    @accepts(Gimp.Procedure, Gimp.ProcedureConfig)
    @returns(Gimp.ValueArray)
    def run_config(self, config):
        # Python wrapper for gimp_procedure_run_config()

Runs self, calling the run_func given in [ctor@Procedure.new].

Create config at default values with [method@Gimp.Procedure.create_config] then set any argument you wish to change from defaults with [method@GObject.Object.set].

If config is None, the default arguments of self will be used.

Since 3.0

self

  the [class@Gimp.Procedure] to run.

config

  the self's arguments.

Returns